
Robotics Service Bus - Tasks #1006
Create fancy title page for RSB manual
06/18/2012 06:25 PM - S. Wrede

Status: Resolved Start date: 06/18/2012
Priority: High Due date:
Assignee: % Done: 100%
Category: Documentation Estimated time: 0.00 hour
Target version: rsb-0.7
Description

The initial entry point for the documentation as generated through Sphinx is not very intuitive. I would propose to add a specific landing
page similar as done in the NaoQi SDK or [[Morse|http://www.openrobots.org/morse/doc/latest/morse.html]].

If a user is interested in the linear structure that is proposed by Sphinx (Concepts-->Preparation-->Tutorial-->...) we may also visualize
this graphically on the start page.

Related issues:
Blocks Robotics Service Bus - Tasks # 900: Finalize initial version of RSB ma... Resolved 07/13/2012

Associated revisions
Revision 8c86f15f - 07/17/2012 09:41 PM - J. Moringen
Added initial draft of a landing page
refs #1006
    -  index.rst: moved text to concepts.rst
    -  concepts.rst: added text from index.rst
    -  _templates/index.html: new file; contains landing page
    -  conf.py.in: added _templates/index.html to additional pages

Revision 89b2f0d8 - 07/17/2012 09:56 PM - J. Moringen
Added news in news.rst
refs #1006
    -  news.rst: new file; contains news for RSB releases

Revision 9d6927fe - 07/18/2012 11:25 PM - J. Moringen
Removed auto-generated links in index.html
fixes #1006
    -  index.html: removed auto-generated search, index, etc. links since

  some were broken

Revision d82e95c7 - 07/22/2012 06:53 PM - J. Moringen
Added custom theme
refs #1006
    -  conf.py.in: use corlab theme
    -  _templates/index.html: added icons to headings
    -  corlab/theme.conf: new file; theme meta-data file
    -  corlab/static/corlab.css: new file; stylesheet for theme
    -  _static/install.svg: new file; used by theme
    -  _static/news.svg: likewise
    -  _static/specification.svg: likewise
    -  _static/tools.svg: likewise
    -  _static/tutorial.svg: likewise
    -  _static/whatis.svg: likewise

History
#1 - 06/18/2012 06:26 PM - S. Wrede

We should also add our publications somewhere on the web page using a the same link as in the toolkit catalogue.

#2 - 07/06/2012 03:02 PM - J. Moringen
- Subject changed from Create Landing Page for RSB / RSB Documentation to Create fancy title page for RSB manual
- Description updated
- Assignee set to M. Goetting
- Priority changed from Low to Normal

#3 - 07/13/2012 11:08 AM - J. Moringen
- Priority changed from Normal to High

#4 - 07/17/2012 08:25 PM - J. Moringen
- Status changed from New to In Progress
- Assignee changed from M. Goetting to J. Moringen

I will try to do this.

#5 - 07/17/2012 09:42 PM - J. Moringen
- Status changed from In Progress to Feedback
- % Done changed from 0 to 60

#6 - 07/17/2012 09:43 PM - J. Moringen
- Assignee deleted (J. Moringen)

#7 - 07/18/2012 03:09 PM - J. Wienke

There are some broken auto-generated links on the site and I would add a usual TOC in the left sidebar. Apart from that I am happy with the version.

#8 - 07/18/2012 11:25 PM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 60 to 100

Applied in changeset r3744.
